--- server/audio/faac/faac.c.orig	Wed Apr 24 18:25:41 2002
+++ server/audio/faac/faac.c	Wed Feb 26 00:19:41 2003
@@ -171,21 +171,20 @@
 	/* handle raw audio input */
     if (rawInput) {
 #ifdef HAVE_LIBSNDFILE
-		sfinfo.format =  SF_FORMAT_RAW;
+		sfinfo.format = (SF_FORMAT_RAW | SF_FORMAT_PCM_16);
 		if (swapRawBytes) {
 			if (IsBigEndian()) {
-				sfinfo.format |= SF_FORMAT_PCM_LE;
+				sfinfo.format |= SF_ENDIAN_LITTLE;
 			} else {
-				sfinfo.format |= SF_FORMAT_PCM_BE;
+				sfinfo.format |= SF_ENDIAN_BIG;
 			}
 		} else {
 			if (IsBigEndian()) {
-				sfinfo.format |= SF_FORMAT_PCM_BE;
+				sfinfo.format |= SF_ENDIAN_BIG;
 			} else {
-				sfinfo.format |= SF_FORMAT_PCM_LE;
+				sfinfo.format |= SF_ENDIAN_LITTLE;
 			}
 		}
-		sfinfo.pcmbitwidth = 16;
 		sfinfo.channels = 2;
 		sfinfo.samplerate = rawSampleRate;
 #else
@@ -201,10 +200,10 @@
 
 	/* open the audio input file */
 #ifdef HAVE_LIBSNDFILE
-	infile = sf_open_read(argv[argc-2], &sfinfo);
+	infile = sf_open(argv[argc-2], SFM_READ, &sfinfo);
 	rawSampleRate = sfinfo.samplerate;
 	channels = sfinfo.channels;
-	samples = sfinfo.samples;
+	samples = sfinfo.frames;
 #else
 	infile = fopen(argv[argc-2], FOPEN_READ_BINARY);
 	fseek(infile, 0, SEEK_END);
@@ -323,7 +322,7 @@
 
 	faacEncClose(hEncoder);
 
-#ifdef HAVE_SNDFILE
+#ifdef HAVE_LIBSNDFILE
 	sf_close(infile);
 #else
 	fclose(infile);
